Lavalite package that provides hacker management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `waylon/hacker`.

    "waylon/hacker": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Waylon\Hacker\Providers\HackerServiceProvider::class,

And also add it to alias

    'Hacker'  => Waylon\Hacker\Facades\Hacker::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Waylon\\Hacker\\Seeders\\HackerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Waylon\Hacker\Providers\HackerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Waylon\Hacker\Providers\HackerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Waylon\Hacker\Providers\HackerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/hacker/{modulename}

**User**

    http://path-to-route-folder/user/hacker/{modulename}

**Public**

    http://path-to-route-folder/hackers


### API endpoints

**List**

    http://path-to-route-folder/api/user/hacker/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/hacker/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/hacker/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/hacker/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/hacker/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/hacker/{modulename}/{slug}
    METHOD: GET